/*-
 * ~~~~~~licensing~~~~~~
 * init-manager
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.runtime.core.initializer.api;

import org.osgi.framework.BundleContext;

public abstract class AbstractInitializer implements Initializer {

	protected String initializerId = this.getClass().getName();
	
	protected BundleContext bundleContext;

	@Override
	public void setBundleContext(BundleContext context) {
		this.bundleContext = context;
	}

	@Override
	public long getBundleId() {
		return this.bundleContext.getBundle().getBundleId();
	}

	@Override
	public String getBundleName() {
		return this.bundleContext.getBundle().getSymbolicName();
	}

	@Override
	public void setInitializerId(String id) {
		this.initializerId = id;
	}
	
	@Override
	public String getInitializerId() {
		return this.initializerId;
	}

	@Override
	public void setCallback(Callback callback) {
		// Ignore it by default
	}
}
